<?
if(!empty($_POST['name']) && !empty($_POST['url']) && !empty($_POST['days']) && !empty($_POST['color']) && !empty($_POST['bold'])){
$name=htmlspecialchars($_POST['name']);
$url=htmlspecialchars($_POST['url']);
$days=htmlspecialchars($_POST['days']);
if(!empty($_POST['color']) && $_POST['color']!='null'){
$color=htmlspecialchars($_POST['color']);
$colors=$days*1;
}else{
$color='null';
$colors=0;}
if(!empty($_POST['bold']) && $_POST['bold']==1){
$bold=htmlspecialchars($_POST['bold']);
$bolds=$days*1;
}else{
$bold='null';
$bolds=0;}
$summa=($days*Core::$config['rekl'])+$bolds+$colors;

echo '<div class="h1">';
echo 'Покупка рекламы на '.$days.' суток(и) на сумму '.$summa.' wmr<br/>';
echo 'Название: '.$name.'<br/>';
echo 'URL: '.$url.'<br/>';
echo 'Цвет: ';
echo $_POST['color'] == 'null' ? 'без цвета' : NULL;
echo $_POST['color'] == 'red' ? '<font color="red">красный</font>' : NULL;
echo $_POST['color'] == 'blue' ? '<font color="blue">синий</font>' : NULL;
echo $_POST['color'] == 'green' ? '<font color="green">зеленый</font>' : NULL;
echo $_POST['color'] == 'yellow' ? '<font color="yellow">желтый</font>' : NULL;
echo '<br/>';
echo 'Жирность: ';
echo $_POST['bold'] == 1 ? '<b>да</b>' : 'нет';

?>
        <form action="https://merchant.webmoney.ru/lmi/payment.asp" method="POST">
	<input type="hidden" name="LMI_PAYMENT_AMOUNT" value="<?echo$summa;?>">
	<input type="hidden" name="LMI_PAYMENT_DESC_BASE64" value="<?=base64_encode('Покупка рекламы на :: '.$url.' :: '.$days.' суток')?>">
	<input type="hidden" name="LMI_PAYEE_PURSE" value="R319487639694">
	<input type="hidden" name="name" value="<?=$name?>">
	<input type="hidden" name="url" value="<?=$url?>">
	<input type="hidden" name="days" value="<?=$days?>">
	<input type="hidden" name="color" value="<?=$color?>">
	<input type="hidden" name="bold" value="<?=$bold?>">
	<input type="submit" value="Продолжить">
	</form>
	</div>
	<?
	}else{
	echo '<div class="h1">Не выбран и/или не введен один из параметров.<br/>Проверьте правильноcть заполнения всех данных.<br/><a href=/billing/rekl>Назад</a></div>';}